Debian Bug report logs - #379259
freebsd-buildutils: freebsd-mtree does not work correctly

version graph

Package: freebsd-buildutils; Maintainer for freebsd-buildutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-buildutils is src:freebsd-buildutils.

Reported by: "Dr. Markus Waldeck" <waldeck@gmx.net>

Date: Sat, 22 Jul 2006 14:48:01 UTC

Severity: important

Found in version freebsd-buildutils/5.2.1+20041028.1-1

Fixed in versions 5.2.1+20041028.1-1+rm, freebsd-buildutils/7.2-2

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Robert Millan <rmh@debian.org>:
Bug#379259; Package freebsd-buildutils. Full text and rfc822 format available.

Acknowledgement sent to "Dr. Markus Waldeck" <waldeck@gmx.net>:
New Bug report received and forwarded. Copy sent to Robert Millan <rmh@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Dr. Markus Waldeck" <waldeck@gmx.net>
To: submit@bugs.debian.org
Subject: freebsd-buildutils: freebsd-mtree does not work correctly
Date: Sat, 22 Jul 2006 16:09:12 +0200
Package: freebsd-buildutils
Version: 5.2.1+20041028.1-1
Severity: important

*** Please type your report below this line ***
I got the same results on kFreeBSD, sarge and Ubuntu!
The file names are printed in octal values instead of ASCII

# freebsd-mtree -c
#          user: waldeck
#       machine: dl
#          tree: /tmp
#          date: Sat Jun 17 16:02:27 2006

# .
/set type=file uid=0 gid=0 mode=0644 nlink=1
\056            type=dir mode=01777 nlink=2 size=1024 \
                time=1150552943.438238192
        \150\145\154\154\157 \
                size=1 time=1150552943.438238192
..



-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages freebsd-buildutils depends on:
ii  dash                          0.5.3-3    The Debian Almquist Shell
ii  libc6                         2.3.6-15   GNU C Library: Shared libraries

freebsd-buildutils recommends no packages.

-- no debconf information

-- 


Echte DSL-Flatrate dauerhaft für 0,- Euro*. Nur noch kurze Zeit!
"Feel free" mit GMX DSL: http://www.gmx.net/de/go/dsl



Information forwarded to debian-bugs-dist@lists.debian.org, Robert Millan <rmh@debian.org>:
Bug#379259; Package freebsd-buildutils. Full text and rfc822 format available.

Acknowledgement sent to "Dr. Markus Waldeck" <waldeck@gmx.de>:
Extra info received and forwarded to list. Copy sent to Robert Millan <rmh@debian.org>. Full text and rfc822 format available.

Message #10 received at 379259@bugs.debian.org (full text, mbox):

From: "Dr. Markus Waldeck" <waldeck@gmx.de>
To: 379259@bugs.debian.org
Subject: freebsd-buildutils: freebsd-mtree does not work correctly
Date: Thu, 10 Aug 2006 11:13:06 +0200
Please change submitter addresse from waldeck@gmx.net to waldeck@gmx.de.
-- 


Der GMX SmartSurfer hilft bis zu 70% Ihrer Onlinekosten zu sparen!
Ideal für Modem und ISDN: http://www.gmx.net/de/go/smartsurfer



Reply sent to Marco Rodrigues <gothicx@sapo.pt>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Dr. Markus Waldeck" <waldeck@gmx.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 379259-done@bugs.debian.org (full text, mbox):

From: Marco Rodrigues <gothicx@sapo.pt>
To: 379259-done@bugs.debian.org
Subject: freebsd-buildutils has been removed from Debian, closing #379259
Date: Thu, 5 Jun 2008 22:56:16 +0100
Version: 5.2.1+20041028.1-1+rm

The freebsd-buildutils package has been removed from Debian testing, unstable and
experimental, so I am now closing the bugs that were still opened
against it.

For more information about this package's removal, read
http://bugs.debian.org/313409 . That bug might give the reasons why
this package was removed, and suggestions of possible replacements.

Don't hesitate to reply to this mail if you have any question.

Thank you for your contribution to Debian.

--
Marco Rodrigues
http://Marco.Tondela.org




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sat, 10 Apr 2010 16:33:06 GMT) Full text and rfc822 format available.

Notification sent to "Dr. Markus Waldeck" <waldeck@gmx.net>:
Bug acknowledged by developer. (Sat, 10 Apr 2010 16:33:06 GMT) Full text and rfc822 format available.

Message #20 received at 379259-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 379259-close@bugs.debian.org
Subject: Bug#379259: fixed in freebsd-buildutils 7.2-2
Date: Sat, 10 Apr 2010 16:29:43 +0000
Source: freebsd-buildutils
Source-Version: 7.2-2

We believe that the bug you reported is fixed in the latest version of
freebsd-buildutils, which is due to be installed in the Debian FTP archive:

freebsd-buildutils_7.2-2.diff.gz
  to main/f/freebsd-buildutils/freebsd-buildutils_7.2-2.diff.gz
freebsd-buildutils_7.2-2.dsc
  to main/f/freebsd-buildutils/freebsd-buildutils_7.2-2.dsc
freebsd-buildutils_7.2-2_kfreebsd-amd64.deb
  to main/f/freebsd-buildutils/freebsd-buildutils_7.2-2_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 379259@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated freebsd-buildutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Apr 2010 16:49:49 +0200
Source: freebsd-buildutils
Binary: freebsd-buildutils
Architecture: source kfreebsd-amd64
Version: 7.2-2
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 freebsd-buildutils - Utilities for building FreeBSD sources
Closes: 379259 436857
Changes: 
 freebsd-buildutils (7.2-2) unstable; urgency=low
 .
   * Remove part of the automatic patches in favor of patches.
   * Use libbsd instead of hacked funtions (Closes: #379259).
   * Use <bsd/sys/*.h> includes instead of <bsd/*.h>.
   * Remove depends on dash, it is now essential.
   * Add depends on ${misc:Depends}.
   * Bumped Standard-Versions to 3.8.4 (no changes).
   * Handle nostrip build options (Closes: #436857).
Checksums-Sha1: 
 24db5670131a114ebc1729820a30490093f206dc 1296 freebsd-buildutils_7.2-2.dsc
 da097164843cc04afc48481adaefc56dd86a89b3 23131 freebsd-buildutils_7.2-2.diff.gz
 dbc38e6a5654836454aff9ec3bb3956aa5ad4d5a 432764 freebsd-buildutils_7.2-2_kfreebsd-amd64.deb
Checksums-Sha256: 
 f64cd27aa326d880a3067cc7842071b8fda9e2f7a74064912d67cc0a7a7b8b1d 1296 freebsd-buildutils_7.2-2.dsc
 19e9c640be64bdef32f3fb2041fc4b0167b9001aba5bc00d859faedff112d691 23131 freebsd-buildutils_7.2-2.diff.gz
 eaec7c44346e61275f8c91c323db3e280e05b1e8ee0a4ac04345e89caae81427 432764 freebsd-buildutils_7.2-2_kfreebsd-amd64.deb
Files: 
 359e474cf831b62dd4753ea1921158db 1296 devel extra freebsd-buildutils_7.2-2.dsc
 a424a1e9167073f91902279c48e2c1d6 23131 devel extra freebsd-buildutils_7.2-2.diff.gz
 c4d2fdf9638d6318417c02f920db403d 432764 devel extra freebsd-buildutils_7.2-2_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFLwJB1w3ao2vG823MRAko2AJ9a+b06iSxZfQaLCXrYv2Pmr1KQ6wCfa0PA
dEuGUbC4EmMLNOMdcwwltAk=
=RjYy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 May 2010 07:37:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:30:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.